package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.Comment;
import com.fzm.mall.server.front.goods.model.GoodsComment;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.CommentVo;
import com.fzm.mall.server.front.goods.model.vo.OrderCommentVo;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.PageVoWithOne;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 商品评论表（用于对商品的评论） 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-01
 */
public interface IGoodCommentService extends IService<GoodsComment> {

    List<CommentVo> getByGoodsId(String goodsId, PageVoWithOne pageVo);

    Integer getCount(String goodsId);

    String addComment(String uid, OrderCommentVo orderCommentVo,String goodsId,String merchantId);

    String getCommonentId(String oid,String skuId);

    String getOidByCommentId(String commentId);

    GoodsComment getByCommentId(String commentId);

    List<CommentVo> getByGoodsIdByCommentId(String commentId);

    BigDecimal getScope(String MerchantId);
}
